/*
*******************************************************************************
* Copyright(C) 2010, 2011 Renesas Electronics Corporation
* RENESAS ELECTRONICS CONFIDENTIAL AND PROPRIETARY
* This program must be used solely for the purpose for which
* it was furnished by Renesas Electronics Corporation. No part of this
* program may be reproduced or disclosed to others, in any
* form, without the prior written permission of Renesas Electronics
* Corporation.
*
* This device driver was created by CodeGenerator for RL78/G13
* 16-Bit Single-Chip Microcontrollers
* Filename:         r_timer.c
* Abstract:         This file implements device driver for TAU module.
* APIlib:           CodeGenerator for RL78/G13 V1.01.00 [31 May 2011]
* Device:           R5F100LLAFAB
* Compiler:         ICCRL78
* Creation date:    06/07/2011
*******************************************************************************
*/

/*
*******************************************************************************
** Pragma directive
*******************************************************************************
*/
/* Start user code for pragma. Do not edit comment generated here */

/*
*******************************************************************************
** Include files
*******************************************************************************
*/
#include <includes.h>
#include <CG_macrodriver.h>
#include <CG_timer.h>
#include <CG_userdefine.h>


/*
*******************************************************************************
**  Global define
*******************************************************************************
*/
extern unsigned short pwmCounter;

void startPWM(void)
{
    TMIF04 = 0U;    /* clear INTTM00 interrupt flag */
    TMMK04 = 0U;    /* enable INTTM00 interrupt */
    TMIF05 = 0U;    /* clear INTTM01 interrupt flag */
    TMMK05 = 0U;    /* enable INTTM01 interrupt */
    TS0 |= _0010_TAU_CH4_START_TRG_ON | _0020_TAU_CH5_START_TRG_ON; 
    TOE0 |= _0020_TAU_CH5_OUTPUT_ENABLE | _0010_TAU_CH4_OUTPUT_ENABLE;
    TO0 |= _0020_TAU_CH5_OUTPUT_VALUE_1;
    pwmCounter = 0;
}

void stopPWM(void)
{
    TMMK04 = 1U;    /* disable INTTM00 interrupt */
    TMMK05 = 1U;    /* disable INTTM01 interrupt */
 
    P0_bit.no5 = 0;
    TDR05 = 0;

    TT0 |= _0010_TAU_CH4_STOP_TRG_ON | _0020_TAU_CH5_STOP_TRG_ON;
    TOE0 &= ~_0020_TAU_CH5_OUTPUT_ENABLE | ~_0010_TAU_CH4_OUTPUT_ENABLE;
    TO0 &= ~_0020_TAU_CH5_OUTPUT_VALUE_1;
 
    /* Mask channel 4 interrupt */ 
    TMIF04 = 0U;    /* clear INTTM00 interrupt flag */
    /* Mask channel 5 interrupt */    
    TMIF05 = 0U;    /* clear INTTM01 interrupt flag */
    P0_bit.no5 = 0;
    
}




/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**  This function stops TAU0 channel 5 counter.
**
**  Parameters:
**  None
**
**  Returns:
**  None
**
**-----------------------------------------------------------------------------
*/
void R_TAU0_Channel5_Stop(void)
{
    TT0 |= _0020_TAU_CH5_STOP_TRG_ON;
    TOE0 &= ~_0020_TAU_CH5_OUTPUT_ENABLE;
   
    /* Mask channel 5 interrupt */
    TMMK05 = 1U;    /* disable INTTM05 interrupt */
    TMIF05 = 0U;    /* clear INTTM05 interrupt flag */
}




/***********************************************************************************************************************
* Function Name: R_TAU0_Channel7_Start
* Description  : This function starts TAU0 channel 7 counter.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_TAU0_Channel7_Start(void)
{
    pwmEnabled = true;
    TMIF07 = 0U;    /* clear INTTM07 interrupt flag */
    TMMK07 = 0U;    /* enable INTTM07 interrupt */
    TS0 |= _0080_TAU_CH7_START_TRG_ON;

}

/***********************************************************************************************************************
* Function Name: R_TAU0_Channel7_Stop
* Description  : This function stops TAU0 channel 7 counter.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_TAU0_Channel7_Stop(void)
{
    pwmEnabled = false;
    TT0 |= _0080_TAU_CH7_STOP_TRG_ON;
    /* Mask channel 7 interrupt */
    TMMK07 = 1U;    /* disable INTTM07 interrupt */
    TMIF07 = 0U;    /* clear INTTM07 interrupt flag */
}

