/*
*********************************************************************************************************
*                                     MICIRUM BOARD SUPPORT PACKAGE
*                          (c) Copyright 2003-2011; Micrium, Inc.; Weston, FL
*
*               All rights reserved.  Protected by international copyright laws.
*               Knowledge of the source code may NOT be used to develop a similar product.
*               Please help us continue to provide the Embedded community with the finest
*               software available.  Your honesty is greatly appreciated.
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*
*                                      MICRIUM BOARD SUPPORT PACKAGE
*
*                                            Renesas RL78
*                                               on the
*                                     YRDKRL78G13 Evaluation Board
*
* Filename      : bsp.h
* Version       : V1.00
* Programmer(s) : NB
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                                 MODULE
*
* Note(s) : (1) This header file is protected from multiple pre-processor inclusion through use of the
*               BSP present pre-processor macro definition.
*********************************************************************************************************
*/

#ifndef  BSP_PRESENT
#define  BSP_PRESENT


/*
*********************************************************************************************************
*                                              INCLUDE FILES
*********************************************************************************************************
*/

#include <includes.h>

/*
*********************************************************************************************************
*                                               EXTERNS
*********************************************************************************************************
*/


#ifdef   BSP_MODULE
#define  BSP_EXT
#else
#define  BSP_EXT  extern
#endif

/*
*********************************************************************************************************
*                                        DEFAULT CONFIGURATION
*********************************************************************************************************
*/


/*
*********************************************************************************************************
*                                               DEFINES
*********************************************************************************************************
*/

#define  BSP_CPU_CLKFREQ    32000000L                                   /* CPU frequency, in Hz                                     */

/*
*********************************************************************************************************
*                                             DATA TYPES
*********************************************************************************************************
*/

#ifdef  OS_uCOS_II_H
typedef   OS_EVENT    *BSP_OS_SEM;
typedef   CPU_INT16U   BSP_OS_SEM_VAL;
#endif

#ifdef  OS_H
typedef   OS_SEM       BSP_OS_SEM;    
typedef   OS_SEM_CTR   BSP_OS_SEM_VAL;
#endif



/*
*********************************************************************************************************
*                                          GLOBAL VARIABLES
*********************************************************************************************************
*/


/*
*********************************************************************************************************
*                                               MACRO'S
*********************************************************************************************************
*/


/*
*********************************************************************************************************
*                                         FUNCTION PROTOTYPES
*********************************************************************************************************
*/

void         BSP_LowLevelInit          (void);

void         BSP_PreInit               (void);

void         BSP_PostInit              (void);

CPU_BOOLEAN  BSP_OS_SemCreate          (BSP_OS_SEM     *p_sem,
                                        BSP_OS_SEM_VAL  sem_val,
                                        CPU_CHAR       *p_sem_name);

CPU_BOOLEAN  BSP_OS_SemWait            (BSP_OS_SEM     *p_sem,
                                        CPU_INT32U      dly_ms);

CPU_BOOLEAN  BSP_OS_SemPost            (BSP_OS_SEM     *p_sem);


/*
*********************************************************************************************************
*                                        CLK FUNCTION PROTOTYPES
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                            LED SERVICES
*********************************************************************************************************
*/

void         BSP_LED_On        (CPU_INT08U led);
void         BSP_LED_Off       (CPU_INT08U led);
void         BSP_LED_Toggle    (CPU_INT08U led);

/*
*********************************************************************************************************
*                                       PUSH BUTTON SERVICES
*********************************************************************************************************
*/

CPU_BOOLEAN  BSP_PB_GetStatus  (CPU_INT08U pb);

/*
*********************************************************************************************************
*                                          ERROR CHECKING
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                           MODULE END
*********************************************************************************************************
*/

#endif                                                          /* End of module include.                               */
