/*===========================================================================*/
/* Module :  macros.h                                                        */
/* Version:  V1.00                                                           */
/*===========================================================================*/
/*                                  COPYRIGHT                                */
/*===========================================================================*/
/* Copyright (c) 2011 by Renesas Electronics Europe GmbH,                    */
/*               a company of the Renesas Electronics Corporation            */
/*===========================================================================*/
/* Purpose:  data type definitions                                           */
/*                                                                           */
/*===========================================================================*/
/* In case of any question please do not hesitate to contact:                */
/*                                                                           */
/*        Technical Product Support                                          */
/*                                                                           */
/*        Renesas Electronics Europe GmbH                                    */
/*        Arcadiastrasse 10                                                  */
/*        D-40472 Duesseldorf, Germany                                       */
/*                                                                           */
/*        e-mail: device_support.rl78-eu@lm.renesas.com                      */
/*        FAX:   +49 - (0)211 / 65 03 - 12 79                                */
/*                                                                           */
/*===========================================================================*/
/* Warranty Disclaimer                                                       */
/*                                                                           */
/* Because the Product(s) is licensed free of charge, there is no warranty   */
/* of any kind whatsoever and expressly disclaimed and excluded by Renesas,  */
/* either expressed or implied, including but not limited to those for       */
/* non-infringement of intellectual property, merchantability and/or         */
/* fitness for the particular purpose.                                       */
/* NEC shall not have any obligation to maintain, service or provide bug     */
/* fixes for the supplied Product(s) and/or the Application.                 */
/*                                                                           */
/* Each User is solely responsible for determining the appropriateness of    */
/* using the Product(s) and assumes all risks associated with its exercise   */
/* of rights under this Agreement, including, but not limited to the risks   */
/* and costs of program errors, compliance with applicable laws, damage to   */
/* or loss of data, programs or equipment, and unavailability or             */
/* interruption of operations.                                               */
/*                                                                           */
/* Limitation of Liability                                                   */
/*                                                                           */
/* In no event shall Renesas be liable to the User for any incidental,       */
/* consequential, indirect, or punitive damage (including but not limited    */
/* to lost profits) regardless of whether such liability is based on breach  */
/* of contract, tort, strict liability, breach of warranties, failure of     */
/* essential purpose or otherwise and even if advised of the possibility of  */
/* such damages. Renesas shall not be liable for any services or products    */
/* provided by third party vendors, developers or consultants identified or  */
/* referred to the User by Renesas in connection with the Product(s) and/or  */
/* the Application.                                                          */
/*                                                                           */
/*===========================================================================*/
/* Environment:                                                              */
/*              Device:          R5F100LE                                    */
/*              Target Hardware: QB-R5F100LE-TB                              */
/*              IDE:             IAR Systems                                 */
/*                               Embedded Workbench for RL78 V1.xx           */
/*                                                                           */
/*===========================================================================*/
/* History:                                                                  */
/*              V1.00: Initial version                                       */
/*                                                                           */
/*===========================================================================*/

#ifndef __macros_H
#define __macros_H

/*===========================================================================*/
/* Includes                                                                  */
/*===========================================================================*/
/* Application Includes                                                      */
#include <types.h>

/* --------------------------------------------------------------------------*/
/* Logical Values                                                            */
/* --------------------------------------------------------------------------*/
#define _TRUE  1u
#define _FALSE 0u

/* --------------------------------------------------------------------------*/
/* Special Function Register Access                                          */
/* --------------------------------------------------------------------------*/
#define ClrIORBit(Reg, ClrBitMap) ((Reg) &= ~(ClrBitMap))
#define SetIORBit(Reg, SetBitMap) ((Reg) |=  (SetBitMap))

/* --------------------------------------------------------------------------*/
/* LEDs                                                                      */
/* --------------------------------------------------------------------------*/
#define LED01   P5_bit.no5
#define LED02   P6_bit.no2
#define LED03   P6_bit.no3
#define LED04   P5_bit.no2
#define LED05   P5_bit.no3
#define LED06   P5_bit.no4

#define LEDON   _FALSE
#define LEDOFF  _TRUE

/* --------------------------------------------------------------------------*/
/* 10ms Timer                                                                */
/* --------------------------------------------------------------------------*/
#define PERIOD_1SEC  100u


#endif /* __macros_H */

